<template>
  <div class="mod-config">
    <basic-container>
      <el-tabs type="border-card" v-model="activeName" @tab-click="handleClick">
        <el-tab-pane label="待检零件" name="PartList">
          <PartList />
        </el-tab-pane>
        <el-tab-pane label="检测汇报" name="qualifiedReport">
          <ReportList />
        </el-tab-pane>
      </el-tabs>
    </basic-container>
  </div>
</template>

<script>
import { mapGetters } from 'vuex'
import PartList from './PartList.vue'
import ReportList from './ReportList.vue'

export default {
  data() {
    return {
      activeName: 'PartList'
    }
  },
  provide() {
    return {
      applyTypeList: this.applyTypeList
    }
  },
  components: {
    PartList,
    ReportList
  },
  computed: {
    ...mapGetters(['permissions'])
  },
  created() {
    this.activeName =
      sessionStorage.getItem('ztt-newReport-activeName') || 'PartList'
  },

  activated() {},
  methods: {
    handleClick() {
      sessionStorage.setItem('ztt-newReport-activeName', this.activeName)
    }
  }
}
</script>
<style lang="scss" scoped>
/deep/ .el-card__body {
  padding-bottom: 0;
}
/deep/ .el-tabs__content {
  padding: 20px 0 0;
}
</style>
